@ECHO OFF
REM * Sun Jan 22 09:02:09 JST 2017 Naoyuki Sawa
REM - Unityのスクリプトエディタに秀丸を設定して、行番号を指定出来るようにするためのバッチスクリプトです。
REM   詳細は、以下の通りです。
REM - Unityの[Edit]⇒[Preferences]⇒[External Tools]⇒[External Script Editor]に"Hidemaru.exe"を追加し、
REM   [External Script Editor Args]に「/j$(Line) "$(File)"」と設定すると、
REM   Unityが「/j行番号」の部分を「\j行番号」に変換して"Hidemaru.exe"を起動してしまい、正しく動作しない。
REM   「/j$(Line) "$(File)"」を「"/j$(Line)" "$(File)"」に変えても同じである。
REM   多分Unityがマルチプラットフォーム対応のために、引数内の"/"を全て"\"に変換してしまっているのだろう。
REM   Unity 5.5.0f3にて確認した。多分どのバージョンでも同じだと思う。
REM - 上記の問題を回避するために、バッチスクリプトを経由して"Hidemaru.exe"を起動する事にした。
REM   Unityには、以下のように設定して下さい。
REM   ・[External Script Editor]⇒「h_unity.bat」		//┬要点
REM   ・[External Script Editor Args]⇒「/j$(Line) "$(File)"」	//┘
REM - 尚、下記の処理の中で、「SET LINE=%~1」は「SET LINE=%1」でも構わないが、安全のために「%~1」とした。
REM   詳細は、h_vc2015.batのコメントを参照して下さい。
SET LINE=%~1
SET LINE=%LINE:\=/%
Start HIDEMARU %LINE% %2 %3 %4 %5 %6 %7 %8 %9
